/*
 *  Copyright (c) 2008 Rodrigo Ruiz
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.apache.axis.message.addressing;

import org.apache.axis.AxisFault;

/**
 * Class AddressingFormatException.
 *
 * @author Davanum Srinivas
 * @author Rodrigo Ruiz
 * @version $Revision: 14 $
 */
public class AddressingFormatException extends AxisFault {

  /**
   * <code>serialVersionUID</code> attribute.
   */
  private static final long serialVersionUID = -7979508420242453775L;

  /**
   * Constructor AddressingFormatException.
   *
   * @param msg Error message
   */
  public AddressingFormatException(String msg) {
    super(msg);
  }

  /**
   * Creates a new instance.
   *
   * @param msg Error message
   * @param t Cause
   */
  public AddressingFormatException(String msg, Throwable t) {
    super(msg, t);
  }
}
