/*
 *  Copyright (c) 2008 Rodrigo Ruiz
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.apache.axis.message.addressing;

import javax.xml.soap.SOAPHeaderElement;

import org.apache.axis.types.URI;

/**
 * Java content class for To element declaration.
 * <p>
 * The following schema fragment specifies the expected content contained within
 * this java content object. (defined at
 * http://schemas.xmlsoap.org/ws/2004/08/addressing line 78)
 * <p>
 *
 * <pre>
 * &lt;element
 *   name=&quot;To&quot;
 *   type=&quot;{http://schemas.xmlsoap.org/ws/2004/08/addressing}AttributedURI&quot;/&gt;
 * </pre>
 *
 * @author Davanum Srinivas
 * @version $Revision: 14 $
 */
public class To extends AttributedURI {

  /**
   * <code>serialVersionUID</code> attribute.
   */
  private static final long serialVersionUID = 6274632242177957818L;

  /**
   * Constructor To.
   *
   * @param el Element
   * @throws MalformedURIException If an error occurs
   */
  public To(SOAPHeaderElement el) throws MalformedURIException {
    super(el);
  }

  /**
   * Constructor To.
   *
   * @param uri To URI
   */
  public To(String uri) throws URI.MalformedURIException {
    super(new URI(uri));
  }

  /**
   * Copy constructor.
   *
   * @param uri To URI
   */
  public To(URI uri) {
    super(uri);
  }

  /**
   * {@inheritDoc}
   */
  public String getDefaultElementName() {
    return Constants.TO;
  }
}
