/*
 *  Copyright (c) 2008 Rodrigo Ruiz
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.apache.axis.message.addressing.tools.wsdl;

import org.apache.axis.wsdl.gen.Generator;
import org.apache.axis.wsdl.symbolTable.SymbolTable;
import org.apache.axis.wsdl.toJava.Emitter;
import org.apache.axis.wsdl.toJava.JavaGeneratorFactory;

import javax.wsdl.Service;

/**
 * Generator Factory implementation for the WS-Addressing aware generator.
 *
 * @author Jarek Gawor (gawor@mcs.anl.gov)
 * @version $Revision: 14 $
 */
public class JavaAddressingGeneratorFactory extends JavaGeneratorFactory {

  /**
   * Creates an instance.
   *
   * @param emitter Emitter instance
   */
  public JavaAddressingGeneratorFactory(Emitter emitter) {
    super(emitter);
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public Generator getGenerator(Service service, SymbolTable symbolTable) {
    return new JavaAddressingServiceWriter(emitter, service, symbolTable);
  }

}
